Table of Contents

## Name

XQueryTree - query window tree information

## Syntax

Status XQueryTree(Display *display, Window w, Window
  *root_return, Window *parent_return, Window **children_return, unsigned int *nchildren_return);

## Arguments

Returns the list of children.

Specifies the connection to the X server.

Returns the number of children.

Returns the parent window.

Returns the root window. you want to obtain

Specifies the window whose list of children, root, parent, and number of children.

## Description

The XQueryTree function returns the root ID, the parent window ID, a pointer to the list of children windows (NULL when there are no children), and the number of children in the list for the specified window. The children are listed in current stacking order, from bottom-most (first) to top-most (last). XQueryTree returns zero if it fails and nonzero if it succeeds. To free a non-NULL children list when it is no longer needed, use XFree.

## Bugs

This really should return a screen *, not a root window ID.

## See Also

XFree(3X11) , XGetWindowAttributes(3X11) , XQueryPointer(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Bugs
- See Also